Phpbb 3.2.7 does not install with php 7.3

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
tigernero79
Registered User
Posts: 4
Joined: Tue May 07, 2019 8:08 am

Phpbb 3.2.7 does not install with php 7.3

Post by tigernero79 » Tue May 07, 2019 8:13 am

I am trying to install phpbb 3.2.7 on an apache system with php 7.3.4 / 7.3.5

but the installation is blocked as it detects this php version and does not keep me going.

Possible should I return to php 7.2.x?

can I test the phpbb 3.3.x version and if so where can I download it? they say will be compatible with php 7.3.x

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69233
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: Phpbb 3.2.7 does not install with php 7.3

Post by KevC » Tue May 07, 2019 8:19 am

phpBB 3.2.x is not compatible with 7.3.x so you will have to downgrade to 7.2.x

phpBB 3.3 is not out yet.
Last edited by Marc on Wed May 08, 2019 8:29 am, edited 1 time in total.
Reason: Fixed a small typo ;)
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

User avatar
david63
Registered User
Posts: 16327
Joined: Thu Dec 19, 2002 8:08 am
Location: Lancashire, UK
Name: David Wood
Contact:

Re: Phpbb 3.2.7 does not install with php 7.3

Post by david63 » Tue May 07, 2019 8:55 am

tigernero79 wrote:
Tue May 07, 2019 8:13 am
can I test the phpbb 3.3.x version and if so where can I download it?
You can certainly "test" 3.3 by creating a fork from the Github repository but you will also need to know how to create required dependencies.
David
Remember: You only know what you know and - you don't know what you don't know!
My CDB Contributions | How to install an extension
I will not be accepting translations for any of my extensions in Github - please post any translations in the appropriate topic.
No support requests via PM or email as they will be ignored

bzozoo
Registered User
Posts: 24
Joined: Mon Feb 11, 2019 6:33 am

Re: Phpbb 3.2.7 does not install with php 7.3

Post by bzozoo » Sat May 25, 2019 5:22 pm

I changed the PHP version to 7.2 during the installation. Then, when it was successful, I switched back to 7.3.5. Everything works.

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69233
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: Phpbb 3.2.7 does not install with php 7.3

Post by KevC » Sat May 25, 2019 5:36 pm

You're not really gaining anything by doing that and you might find some things don't work.
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

User avatar
david63
Registered User
Posts: 16327
Joined: Thu Dec 19, 2002 8:08 am
Location: Lancashire, UK
Name: David Wood
Contact:

Re: Phpbb 3.2.7 does not install with php 7.3

Post by david63 » Sat May 25, 2019 5:55 pm

bzozoo wrote:
Sat May 25, 2019 5:22 pm
Everything works.
It might appear to work but I can asure you that not everything works correctly and sooner or later you will encounter problems.

Anyway what is the urgency to run PHP 7.3?
David
Remember: You only know what you know and - you don't know what you don't know!
My CDB Contributions | How to install an extension
I will not be accepting translations for any of my extensions in Github - please post any translations in the appropriate topic.
No support requests via PM or email as they will be ignored

User avatar
</Solidjeuh>
Registered User
Posts: 1684
Joined: Tue Mar 29, 2016 3:45 am
Location: Aalst (Belgium)
Name: Andy Dm
Contact:

Re: Phpbb 3.2.7 does not install with php 7.3

Post by </Solidjeuh> » Sat May 25, 2019 6:22 pm

PHP 7.3 gives lots of errors. See you server error log.
Register a free account & Play!!
~~~ https://www.solidjeuh.be ~~~

tigernero79
Registered User
Posts: 4
Joined: Tue May 07, 2019 8:08 am

Re: Phpbb 3.2.7 does not install with php 7.3

Post by tigernero79 » Tue Jul 16, 2019 12:21 pm

the problem is that many run lamp systems with php 7.3.x and would like to have compatibility with php 7.3.x. why go back to get phpbb?

User avatar
Mick
Support Team Member
Support Team Member
Posts: 21320
Joined: Fri Aug 29, 2008 9:49 am
Location: Watching cricket - definitely

Re: Phpbb 3.2.7 does not install with php 7.3

Post by Mick » Tue Jul 16, 2019 2:18 pm

Well, at this present moment in time phpBB 3.2.7 won’t work with PHP 7.3. I suspect your other software will work with PHP 7.2 so why not?
"The more connected we get the more alone we become" - Kyle Broflovski

User avatar
warmweer
Registered User
Posts: 2362
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: Phpbb 3.2.7 does not install with php 7.3

Post by warmweer » Tue Jul 16, 2019 2:35 pm

tigernero79 wrote:
Tue Jul 16, 2019 12:21 pm
the problem is that many run lamp systems with php 7.3.x and would like to have compatibility with php 7.3.x. why go back to get phpbb?
For one phpBB 3.2.7 can be edited to work with php 7.3 but that would require really decent knowledge of phpBB3 and the php environment. And the caveat is that a higher version of php 7.3 may introduce new problems, as could/will a new version of phpBB. Trust the experts here (not me), it's not worth putting any time into this when using php 7.2 avoids all the hassle.
My board's not broken, it just went peculiar

tigernero79
Registered User
Posts: 4
Joined: Tue May 07, 2019 8:08 am

Re: Phpbb 3.2.7 does not install with php 7.3

Post by tigernero79 » Tue Jul 16, 2019 4:02 pm

In my opinion the problem is not that the other apps turn or not on php 7.2, I can also put php 5.6, the argument is because the latest phpbb release is not compatible with php 7.3, instead of going forward it comes back it's logical? the remaining excellent free work done by the community.

User avatar
warmweer
Registered User
Posts: 2362
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: Phpbb 3.2.7 does not install with php 7.3

Post by warmweer » Tue Jul 16, 2019 4:14 pm

tigernero79 wrote:
Tue Jul 16, 2019 4:02 pm
In my opinion the problem is not that the other apps turn or not on php 7.2, I can also put php 5.6, the argument is because the latest phpbb release is not compatible with php 7.3, instead of going forward it comes back it's logical? the remaining excellent free work done by the community.
Eventually phpBB will be compatible with php 7.3 but these things take time, and there may be other priorities.
My board's not broken, it just went peculiar

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69233
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: Phpbb 3.2.7 does not install with php 7.3

Post by KevC » Tue Jul 16, 2019 5:54 pm

7.3 only came out about 2 weeks before phpBB 3.2.6 (which was almost immediately replaced with 3.2.7 due to a bug) by which time it was already committed to release. What specifically are you missing out on by not being able to use 7.3?
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

tigernero79
Registered User
Posts: 4
Joined: Tue May 07, 2019 8:08 am

Re: Phpbb 3.2.7 does not install with php 7.3

Post by tigernero79 » Tue Jul 16, 2019 8:29 pm

I have several lamp systems with php 7.3 installed and I don't understand the reluctance of some to tell me back to 7.2. I have nextcloud and WordPress working perfectly on PHP 7.3 why go back to PHP 7.2 for phpBB? is it very much to ask for compatibility with it?

User avatar
warmweer
Registered User
Posts: 2362
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: Phpbb 3.2.7 does not install with php 7.3

Post by warmweer » Tue Jul 16, 2019 8:54 pm

tigernero79 wrote:
Tue Jul 16, 2019 8:29 pm
I have several lamp systems with php 7.3 installed and I don't understand the reluctance of some to tell me back to 7.2. I have nextcloud and WordPress working perfectly on PHP 7.3 why go back to PHP 7.2 for phpBB? is it very much to ask for compatibility with it?
No, asking is not a problem, but neither should receiving and understanding an answer be.
The answer was clear: release versions of phpBB were ready to be released before php 7.3 came out. So why should those releases have been postponed? You seem to forget that a new version (compatible with php 7.3) cannot be released before it is tested thoroughly.
And seriously what's the rush? AFAIK there are quite a few other forumsoftwares (even the commercial ones) which haven't released a versions compatible with php 7.3
My board's not broken, it just went peculiar

Post Reply

Return to “[3.2.x] Support Forum”